Bug 15818 - System.Configuration classes do not save, upgrade, or reload settings properly
Summary: System.Configuration classes do not save, upgrade, or reload settings properly
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: 2.10.x
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-10-30 11:32 UTC by Stephen McConnel
Modified: 2018-01-06 00:46 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Stephen McConnel 2013-10-30 11:32:15 UTC
SettingsPropertyValue.SerializedValue does not recognize that serialized objects (as opposed to serialized primitives) may need to be saved.
ApplicationSettingsBase.Upgrade() does nothing.  It should try to upgrade each of the Providers.  Also, both Upgrade() and Save() should warn the world if they are compiled in a do-nothing mode (i.e., not implemented).
Comment 1 eb1 2014-03-19 09:58:12 UTC
Suggested fix in PR #964
Comment 2 Alexander Köplinger [MSFT] 2018-01-06 00:46:30 UTC
Fixed by https://github.com/mono/mono/pull/6272